GET /api/v3/meter/{meterId}/digest/normalized/yearly

Retrieves rolled up normalized billing data for a given meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.

GetMeterNormalizedYearlyV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The identifier for the meter being retrieved integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to 4 integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MeterDigestNormalizedYearlyResponse
Property Description Type
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
nativeDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data MeterDigestNormalizedYearlyResponse+Results[]
MeterDigestNormalizedYearlyResponse+Results properties
Property Description Type
commonUse Common use number (double)
nativeDemand Native demand number (double)
nativeUse Native use number (double)
year year string
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commonUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "meterCode": "string",  "meterId": 1,  "meterInfo": "string",  "nativeDemandUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "nativeUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "commonUse": 1.0,    "nativeDemand": 1.0,    "nativeUse": 1.0,    "year": "string"
  }
  ],  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.